'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-ceff47a0.js');
const index_esm_min = require('./index.esm.min-7434c087.js');

const BpSdkRoot = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.completedAt = undefined;
        this.disableWebSocket = false;
        this.enableLifecycleEvents = false;
        this.disableToolbar = false;
        this.storeLoaded = false;
    }
    onDisabledWebSocket(disableWebSocket) {
        index_esm_min.b7().dispatch(index_esm_min.p5({ enableWebsocket: !disableWebSocket }));
    }
    resetState() { }
    connectedCallback() {
        this.resetState();
    }
    componentWillLoad() {
        this.onDisabledWebSocket(this.disableWebSocket);
    }
    render() {
        return (index.h("bp-sdk-setup-container", { key: 'a132362f4aac425e45d1f0d56c699c7af6e88a62' }, index.h("bp-sdk-queue-container", { key: '59f6daf706464c8e10b80acf0392fba1770c9df7' }), [!!this.enableLifecycleEvents && index.h("bp-sdk-custom-event-container", { key: '107a066b011fff28ef51b27a2938a2e4dcc3fbe7' }), !this.disableToolbar && index.h("bp-sdk-interview-toolbar", { key: 'e863056c656bf26f3bc721cb2d9418da8b384c18' })], index.h("slot", { key: '9cd9dec6e53b5bbbb86c9c1bc12186ee3ca3db33' })));
    }
    static get watchers() { return {
        "disableWebSocket": ["onDisabledWebSocket"]
    }; }
};

exports.bp_sdk_root = BpSdkRoot;
